Bug 967258 - Review Request: snowbox - A POP3 server written in Go
Summary: Review Request: snowbox - A POP3 server written in Go
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On: 927608
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-26 03:58 UTC by Christopher Meng
Modified: 2020-08-10 00:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:47:02 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Meng 2013-05-26 03:58:24 UTC
Spec URL: http://cicku.me/snowbox.spec
SRPM URL: http://cicku.me/snowbox-2.0.1-1.fc20.src.rpm
Description: Snowbox is a POP3 server written in Go.

Features:
- Written in a secure language
- APOP authentication
- SSL support
- IPv6
- Small codebase (800 lines)
- Easy setup

Fedora Account System Username: cicku

Comment 1 Peter Lemenkov 2013-08-07 10:28:10 UTC
The package is unusable.

work ~/work/snowbox-2.0.1: ./snowbox 
no debug info in ELF executable errno -1
fatal error: no debug info in ELF executable

Comment 2 Christopher Meng 2013-08-08 09:00:21 UTC
A "bug" related to gcc itself.

Spec URL: http://cicku.me/snowbox.spec
SRPM URL: http://cicku.me/snowbox-2.0.1-2.fc20.src.rpm

Comment 3 Lars Seipel 2013-08-08 16:47:55 UTC
While building with gccgo makes sense from a Fedora point of view, the way you're doing it is suboptimal. The package gets built without optimization enabled, for example.

Just replacing calls to the "go" tool with calls to gccgo is not something that generally works. It just happens to work in this case because the package has just one source file. The go build system has an option to enable compiling with gccgo (-compiler gccgo -gccgoflags '...') but this would require having the go binary available at build time.

Also, gccgo accepts most of GCC's non-language-specific command line options. We should definitely work out how to handle this on the distribution level.

Comment 4 Peter Lemenkov 2013-08-08 17:10:35 UTC
(In reply to Lars Seipel from comment #3)
> 
> Also, gccgo accepts most of GCC's non-language-specific command line
> options. We should definitely work out how to handle this on the
> distribution level.

Agree with Lars. We should come up with 

a) Golang Packaging Guidelines
b) Maybe settle Fedora Golang SIG

Btw I've got few Erlang-related packages written in Golang and I'd love to see Golang Package Guidelines first.

Comment 5 Christopher Meng 2013-08-09 00:34:00 UTC
Thank you all, I'm waiting for the result of FLOCK, this will be dicussed also.

Comment 6 Package Review 2020-07-10 00:48:08 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 7 Package Review 2020-08-10 00:47:02 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.